Subject: Re: linux-next: Tree for September 16 (do_mounts.c)

From: Stephen Rothwell <[email-masked]>
Date: Fri, 17 Sep 2010 07:31:26 +1000

On Thu, 16 Sep 2010 09:11:25 -0700 Randy Dunlap <[email-masked]> wrote:
>
> When CONFIG_BLOCK is not enabled:
> 
> init/do_mounts.c:71: error: implicit declaration of function 'dev_to_part'
> init/do_mounts.c:71: warning: initialization makes pointer from integer without a cast
> init/do_mounts.c:73: error: dereferencing pointer to incomplete type
> init/do_mounts.c:76: error: dereferencing pointer to incomplete type
> init/do_mounts.c:76: error: dereferencing pointer to incomplete type
> init/do_mounts.c:102: error: implicit declaration of function 'part_pack_uuid'
> init/do_mounts.c:104: error: 'block_class' undeclared (first use in this function)

Caused by commit b5af921ec02333e943efb59aca4f56b78fc0e100 ("init: add
support for root devices specified by partition UUID") from the block tree.
-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/